import { type DeploymentSchema } from '../../../../data/schema/model/local/deployment-schema.js';
import { type Realm, type Shard } from '../../../../types/index.js';
import { type Facade } from '../../facade/facade.js';
import { type FacadeArray } from '../../collection/facade-array.js';
import { StringFacade } from '../../facade/string-facade.js';
export declare class Deployment implements Facade<DeploymentSchema> {
    readonly encapsulatedObject: DeploymentSchema;
    private readonly clusterList;
    constructor(encapsulatedObject: DeploymentSchema);
    get name(): string;
    set name(name: string);
    get namespace(): string;
    set namespace(namespace: string);
    get realm(): Realm;
    set realm(realm: Realm);
    get shard(): Shard;
    set shard(shard: Shard);
    get clusters(): FacadeArray<StringFacade, string>;
}
